Bug 5605 - Add Support for SIP Fee Paid Message
Summary: Add Support for SIP Fee Paid Message
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Colin Campbell
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 6273
  Show dependency treegraph
 
Reported: 2011-01-11 10:31 UTC by Colin Campbell
Modified: 2013-12-05 19:53 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (4.21 KB, patch)
2011-04-05 13:41 UTC, Colin Campbell
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2011-01-11 10:31:37 UTC
In order to support the payment feature in 3M self-issue units. The FeePaid Message needs to be supported in the Koha SIP software.

Initial implementation currently in testing
Comment 1 Colin Campbell 2011-04-05 13:41:56 UTC
Created attachment 3689 [details] [review]
Proposed Patch
Comment 2 Colin Campbell 2011-04-05 13:44:32 UTC
The patch has been deployed in Halton Public Library allowing the public to pay fines via their 3M self issue stations
Comment 3 Ian Walls 2011-04-28 21:26:20 UTC
Tested via telnet and using the 3M SIP Emulator.  This patch does indeed add support for Fee Paid and Fee Paid Response messages, though fairly minimally.  I can sign off saying it does that much, though if there is a more in-depth specification for this development, it would help me do more robust testing.
Comment 4 Colin Campbell 2011-05-12 13:51:41 UTC
Merely implements the specification in the 3M spec. Does not alter any server side functionality
Comment 5 Katrin Fischer 2011-09-05 09:27:37 UTC
Reading the comment from Ian - does this still needs sign-off?
Comment 6 Chris Cormack 2011-09-05 09:42:28 UTC
I'm happy to push it if Ian is Ok with that.
Comment 7 Ian Walls 2011-09-06 14:34:25 UTC
This patch has been tested in a real, live library of ours as well, and while we have a few improvements to make on it to meet the specification bug 6273, this patch itself works just fine.  I'm signing off and marking as Passed QA.

Any further work we do on improving support for this will be done on bug 6273
Comment 8 Chris Cormack 2011-09-06 21:10:08 UTC
Pushed, please test
Comment 9 Jared Camins-Esakov 2012-05-23 12:37:59 UTC
Seems to work. Closing.